com.sap.cloud.account

## Class InvalidTenantException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.cloud.account.InvalidTenantException

- All Implemented Interfaces:
    Serializable

      public class InvalidTenantException
      extends RuntimeException

  InvalidTenantException is a runtime exception which is thrown when specified tenant does not exist or is not assigned to the current application.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidTenantException(String message)` Constructs a new invalid tenant exception with the specified detail message.
    `InvalidTenantException(String message, Exception nestedException)` Constructs a new invalid tenant exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidTenantException

          public InvalidTenantException(String message,
                                Exception nestedException)

      Constructs a new invalid tenant exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method
        `nestedException` - cause the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

    - #### InvalidTenantException

          public InvalidTenantException(String message)

      Constructs a new invalid tenant exception with the specified detail message.
      Parameters:
        `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method.

Copyright © 2020 SAP. All Rights Reserved.